Get Transaction Details
Retrieves the details of a specific transaction, including checkout session, payment attempts, and refunds.
Path parameters
transactionId
Unique identifier for the transaction.
Response
Transaction details retrieved successfully.
transactionId
Unique identifier for the transaction.
status
Current status of the transaction.
createdAt
checkoutSession
paymentAttempts
refunds
refundTransactionIds
Transaction identifiers of all refunds that have been processed against this transaction. Each entry corresponds to the transactionId of an entry in refunds, and can be passed directly to GET /payment/refunds/{transactionId}. UUID v7.
paymentRules
List of payment rules that affected the transaction.
settlementData
Optional settlement data for transactions in the "settled" state.
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error